org.apache.lucene.queryparser.flexible.standard.processors

## Class OpenRangeQueryNodeProcessor

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorImpl
  - - org.apache.lucene.queryparser.flexible.standard.processors.OpenRangeQueryNodeProcessor

All Implemented Interfaces:
  QueryNodeProcessor

    public class OpenRangeQueryNodeProcessor
    extends QueryNodeProcessorImpl

Processes `TermRangeQuery`s with open ranges.

### Field Summary

Fields
`static String` `OPEN_RANGE_TOKEN`

### Constructor Summary

Constructors
Constructor and Description
`OpenRangeQueryNodeProcessor()`

### Method Summary

Methods
`protected QueryNode` `postProcessNode(QueryNode node)` This method is invoked for every node when walking up the tree.
`protected QueryNode` `preProcessNode(QueryNode node)` This method is invoked for every node when walking down the tree.
`protected List<QueryNode>` `setChildrenOrder(List<QueryNode> children)` This method is invoked for every node that has at least on child.

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorImpl

`getQueryConfigHandler, process, processChildren, setQueryConfigHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OPEN_RANGE_TOKEN

    public static final String OPEN_RANGE_TOKEN

See Also:
  Constant Field Values

### Constructor Detail

#### OpenRangeQueryNodeProcessor

    public OpenRangeQueryNodeProcessor()

### Method Detail

#### postProcessNode

    protected QueryNode postProcessNode(QueryNode node)
                                 throws QueryNodeException

Description copied from class: `QueryNodeProcessorImpl`
This method is invoked for every node when walking up the tree.

Specified by:
  `postProcessNode` in class `QueryNodeProcessorImpl`
Parameters:
  `node` - node the query node to be post-processed
Returns:
  a query node
Throws:
  `QueryNodeException` - if something goes wrong during the query node processing

#### preProcessNode

    protected QueryNode preProcessNode(QueryNode node)
                                throws QueryNodeException

Description copied from class: `QueryNodeProcessorImpl`
This method is invoked for every node when walking down the tree.

Specified by:
  `preProcessNode` in class `QueryNodeProcessorImpl`
Parameters:
  `node` - the query node to be pre-processed
Returns:
  a query node
Throws:
  `QueryNodeException` - if something goes wrong during the query node processing

#### setChildrenOrder

    protected List<QueryNode> setChildrenOrder(List<QueryNode> children)
                                        throws QueryNodeException

Description copied from class: `QueryNodeProcessorImpl`
This method is invoked for every node that has at least on child. It's invoked right before `QueryNodeProcessorImpl.postProcessNode(QueryNode)` is invoked.

Specified by:
  `setChildrenOrder` in class `QueryNodeProcessorImpl`
Parameters:
  `children` - the list containing all current node's children
Returns:
  a new list containing all children that should be set to the current node
Throws:
  `QueryNodeException` - if something goes wrong during the query node processing